<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Sessions|Session Tasks|File Systems">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to upload a file to a remote file system." /><title>Uploading a File to a File System</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#09-sessions/uploading-files-to-file-system.html">Open topic with navigation</a>
        </p>
        <h3>Uploading a File to a File System</h3>
        <ol>
            <li value="1">From within a project, 
click the <b class="UISelection">Sessions </b>tab. </li>
            <li value="2">When the Sessions window appears, click on an active session to open the session details page. </li>
            <li value="3">When the session details page appears, click the <b class="UISelection">Access File System</b> button. A new window appears and displays the remote file system. 
</li>
            <li value="4">Select the directory that you want to use to upload the file. You can enter the directory path or navigate through the directory and select the directory path that you want to use. </li>
            <li value="5">
Click the <b class="UISelection">Upload </b>button. </li>
            <li value="6">
Browse to the location of the file that you want to upload. After you locate the file, select and open the file. 
</li>
            <li value="7">Enter a name for the file. If you do not specify a name, the file uses empty as the name. </li>
            <li value="8">
If you want to run the file after you upload the file to the file system, select the Run the file option. </li>
            <li value="9">Upload the file. </li>
        </ol>
    </body>
</html>